Class
IdManager
Id manager that provides unique ids for vertices and edges.

IdManager

Counting IdManager

IdManager<TIdType,TSpec>
Include Headers
seqan/graph_types.h
Parameters

TIdType | The id type of the managed ids. Metafunctions: Value Default: unsigned int Remarks: Use the Value Metafunction to get the id type managed by a given id manager.
TSpec | The specializing type. Metafunctions: Spec Default: Default, see Default.

Specializations

Counting IdManager | Id Manager that just counts the number of ids in use.

Metafunctions

Spec | The spec of a class.
Value | Type of the items in the container.
Value | Type of the items in the container.

Functions

getIdLowerBound | Returns the smallest distributed id. That is, the return value is guaranteed to be the smallest id obtained so far.
getIdUpperBound | Returns the largest distributed id plus 1. That is, the return value is guaranteed to be an upper bound on all distributed ids.
idCount | Determines the number of ids that were obtained.
idInUse | Checks whether the given id is in use or not.
obtainId | Obtains a new id from the id manager.
releaseAll | Releases all ids handled by this id manager at once.
releaseId | Releases a given id so it can be redistributed later on.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45